Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin.context
Interface RequestContext

public interface RequestContext

Interface defining a RequestContext. A RequestContext is available in all new traffic path for northbound and southbound requests.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Method Summary
`Object` | `get(String key)` Fetches the value associated with this key.
`String` | `getCurrentAppAccountId()`
`String` | `getCurrentAppInstanceGroupId()`
`String` | `getCurrentSessionId()`
`String` | `getCurrentSpAccountId()`
`Object` | `getEdr(String key)` Fetches the value associated with this key only if it is available to Edrs.
`Map` | `getMap()` Returns the map of the request context.
`Map` | `getMapEdr()` Returns the map of the request context that is available to Edrs.
`String` | `getTransactionId()`
`String` | `getXParam(String key)` Fetches the String associated with this key.
`Map` | `getXParamMap()`
`void` | `put(Map value)` Puts a map in the request context.
`void` | `put(String key, Object value)` Associates a value with a key in the request context.
`void` | `putEdr(Map value)` Puts a map in the request context.
`void` | `putEdr(String key, Object value)` Associates a value with a key in the request context.
`void` | `putXParam(String key, String value)` Allows adding 's to the SOAP Header being sent to the application.
`void` | `setCurrentSessionId(String sessionId)`
`void` | `setTransactionId(String id)` Deprecated.

Method Detail

### get

    public Object get(String key)

  Fetches the value associated with this key.

  Parameters:
    `key` - The key
  Returns:
    The value associated with the key

### getCurrentAppAccountId

    public String getCurrentAppAccountId()

### getCurrentAppInstanceGroupId

    public String getCurrentAppInstanceGroupId()

### getCurrentSessionId

    public String getCurrentSessionId()

### getCurrentSpAccountId

    public String getCurrentSpAccountId()

### getEdr

    public Object getEdr(String key)

  Fetches the value associated with this key only if it is available to Edrs.

  Parameters:
    `key` - The key
  Returns:
    The value associated with the key

### getMap

    public Map getMap()

  Returns the map of the request context.

  Returns:
    The map of the request context

### getMapEdr

    public Map getMapEdr()

  Returns the map of the request context that is available to Edrs.

  Returns:
    The map of the request context

### getTransactionId

    public String getTransactionId()

### getXParam

    public String getXParam(String key)

  Fetches the String associated with this key. It tries to retrieve this information from the extending parameter that can be added by a client through the SOAP Header. Example of a client sending the following SOAP Header and how to retrieve that value: ... The value "1" can be retrieved through getXParam("a"); If the value does not exist - null will be returned.

  Parameters:
    `key` - The key
  Returns:
    The value associated with the key

### getXParamMap

    public Map getXParamMap()

  Returns:
    - the map containing values added with `putXParam(String, String)`, separate from the values available via `getXParam(String)`

### put

    public void put(Map value)

  Puts a map in the request context. Note: this map will not be available to Edrs. Use the alternate putEdr() method to make this map available to Edrs.

  Parameters:
    `value` - The map to put in the request context

### put

    public void put(String key,
                    Object value)

  Associates a value with a key in the request context. Note: this key/value will not be available to Edrs. Use the alternate putEdr() method to make this key/value available to Edrs.

  Parameters:
    `key` - The key
    `value` - The value to associate with the key

### putEdr

    public void putEdr(Map value)

  Puts a map in the request context. This map will be included in all Edrs for the current thread.

  Parameters:
    `value` - The map to put in the request context

### putEdr

    public void putEdr(String key,
                       Object value)

  Associates a value with a key in the request context. This key/value pair will be included in all Edrs for the current thread.

  Parameters:
    `key` - The key
    `value` - The value to associate with the key

### putXParam

    public void putXParam(String key,
                          String value)

  Allows adding 's to the SOAP Header being sent to the application. Application terminated requests as well as response to application requests could potentially contain a header with extending parameters.

  Parameters:
    `key` -
    `value` -

### setCurrentSessionId

    public void setCurrentSessionId(String sessionId)

### setTransactionId

    public void setTransactionId(String id)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD